### Function

# RB canonicalise_uri

#### Declaration [src]

    char*
    rb_canonicalise_uri (
      const char* uri
    )

#### Description [src]

Converts `uri` to canonical URI form, ensuring it doesn’t contain any redundant directory fragments or unnecessarily escaped characters. All URIs passed to `RhythmDB` functions should be canonicalised.

#### Parameters

`uri`

  Type: `const char*`

  URI to canonicalise.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

Canonical URI, must be freed by caller.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.